
      subroutine mksatv(viewport,censatv,grid,erdist,ou)
c
      dimension viewport(4),censatv(2)
      character*2 ou
c
      call mapsti('EL',1)
      call mapstr('GR',grid)
      call mapstc('OU',ou)
      if (erdist.gt.0.) call mapstr("SA",erdist)
      call mappos(viewport(1),viewport(2),viewport(3),viewport(4))
      call maproj('SV',censatv(1),censatv(2),0.)
      call mapset('MA',0.,0.,0.,0.)
      call mapint
c     call mapgrd
c     call maplot
      return
      end
